Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Class GetDocumentsTransformation

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.pipeline.GetDocumentsTransformation

All Implemented Interfaces:
  Transformation, Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class GetDocumentsTransformation

extends AbstractTransformation

Retrieves and passes result documents via the xmlConsumer, may strip other information from provided events if parameters are set. Attention: It is possible to receive no events with the correct set of parameters!

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`static java.lang.String` | `SEND_ALL_FIELDS` String representation for a transformation parameter
`static java.lang.String` | `SEND_INTERNAL_FIELDS` String representation for a transformation parameter
`static java.lang.String` | `SEND_SDX_ELEMENTS` String representation for a transformation parameter
`static java.lang.String` | `SEND_USER_FIELDS` String representation for a transformation parameter

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`_resolver, PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`GetDocumentsTransformation()`

Method Summary
`void` | `characters(char[] c, int start, int len)` Filters characters
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)` Could be used to configure this object, but currently has no function
`void` | `endElement(java.lang.String uri, java.lang.String local, java.lang.String qName)` Filters elements
`protected boolean` | `initToSax()` Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML
`void` | `setParameters(org.apache.avalon.framework.parameters.Parameters p)` Set's the parameters for this transformation
`void` | `startElement(java.lang.String uri, java.lang.String local, java.lang.String qName, org.xml.sax.Attributes attr)` Filters elements

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initVolatileObjectsToSax, isStepEnabled, recycle, service, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### SEND_USER_FIELDS

    public static final java.lang.String SEND_USER_FIELDS

  String representation for a transformation parameter

  See Also:
    Constant Field Values

### SEND_INTERNAL_FIELDS

    public static final java.lang.String SEND_INTERNAL_FIELDS

  String representation for a transformation parameter

  See Also:
    Constant Field Values

### SEND_SDX_ELEMENTS

    public static final java.lang.String SEND_SDX_ELEMENTS

  String representation for a transformation parameter

  See Also:
    Constant Field Values

### SEND_ALL_FIELDS

    public static final java.lang.String SEND_ALL_FIELDS

  String representation for a transformation parameter

  See Also:
    Constant Field Values

Constructor Detail

### GetDocumentsTransformation

    public GetDocumentsTransformation()

Method Detail

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Could be used to configure this object, but currently has no function

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Overrides:
    `configure` in class `AbstractTransformation`
  Parameters:
    `configuration` -
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### setParameters

    public void setParameters(org.apache.avalon.framework.parameters.Parameters p)

  Set's the parameters for this transformation

  Specified by:
    `setParameters` in interface `Transformation`
  Overrides:
    `setParameters` in class `AbstractTransformation`
  Parameters:
    `p` - The parameters

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String local,
                             java.lang.String qName,
                             org.xml.sax.Attributes attr)
                      throws org.xml.sax.SAXException

  Filters elements

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.apache.cocoon.xml.AbstractXMLPipe`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] c,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Filters characters

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.apache.cocoon.xml.AbstractXMLPipe`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String local,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Filters elements

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.apache.cocoon.xml.AbstractXMLPipe`
  Throws:
    `org.xml.sax.SAXException`

### initToSax

    protected boolean initToSax()

  Description copied from class: `AbstractSdxXMLPipe`
  Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML

  Overrides:
    `initToSax` in class `AbstractTransformation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.